build: false
platform: 'x86'
clone_folder: C:\projects\gaufrette
branches:
  except:
    - gh-pages

cache:
  - '%LOCALAPPDATA%\Composer\files'

environment:
  AWS_KEY:
    secure: nMVfvhojgVc9VBlrYXeddaYIQHlVAlupWmxNjXMlsB0=
  AWS_SECRET:
    secure: MiAf2q7mnqSIZSoChd9v3pwUrXHeAEpZP8Zc0E0qjiOBXPvplzJVtrkWRwTNlQl3
  AWS_BUCKET: gaufretteci
  RACKSPACE_USER:
    secure: aEIZdm+IXe9dGLOnSmgu8A==
  RACKSPACE_APIKEY:
    secure: CqBlB4EVIM2FMaYxBdplTaQzw8JgKElxYvKYpXUXPHpOdwJcnYy0gk2KdjF4fXDM
  RACKSPACE_CONTAINER: gaufretteci

init:
  - SET PATH=C:\Program Files\OpenSSL;c:\tools\php;%PATH%

install:
  - cinst -y OpenSSL.Light
  - cinst --allow-empty-checksums -y php -version 5.6.17
  - cd c:\tools\php
  - copy php.ini-production php.ini /Y
  - echo extension_dir=ext >> php.ini
  - echo date.timezone="UTC" >> php.ini
  - echo extension=php_openssl.dll >> php.ini
  - cd C:\projects\gaufrette
  - php -r "readfile('http://getcomposer.org/installer');" | php
  - php composer.phar install --prefer-source --no-interaction --ignore-platform-reqs
  - php -m
  - php -i

test_script:
  - cd C:\projects\gaufrette
  - php vendor\bin\phpspec.bat run -fpretty --verbose
  - php vendor\bin\phpunit.bat
